Bug 243427 - audio/libebur128: Remove speex dependency and minor changes to Makefile
Summary: audio/libebur128: Remove speex dependency and minor changes to Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-18 11:55 UTC by daniel.engberg.lists
Modified: 2020-03-05 12:31 UTC (History)
1 user (show)

See Also:


Attachments
Patch (730 bytes, patch)
2020-01-18 11:55 UTC, daniel.engberg.lists
no flags Details | Diff
Poudriere log (23.05 KB, text/plain)
2020-01-18 11:56 UTC, daniel.engberg.lists
no flags Details
Patch v2 (712 bytes, patch)
2020-01-20 09:31 UTC, daniel.engberg.lists
no flags Details | Diff
Poudriere log for v2 (22.17 KB, text/plain)
2020-01-20 09:33 UTC, daniel.engberg.lists
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-01-18 11:55:19 UTC
Created attachment 210841 [details]
Patch

Remove speex dependency, removed in 1.2.0
https://github.com/jiixyj/libebur128/releases/tag/v1.2.0
Minor changes to Makefile to make portlint happy and consistent with porter's handbook
Comment 1 daniel.engberg.lists 2020-01-18 11:56:30 UTC
Created attachment 210842 [details]
Poudriere log
Comment 2 daniel.engberg.lists 2020-01-20 09:31:14 UTC
Created attachment 210886 [details]
Patch v2

...also remove localbase:ldflags from USES
Comment 3 daniel.engberg.lists 2020-01-20 09:33:17 UTC
Created attachment 210887 [details]
Poudriere log for v2
Comment 4 commit-hook freebsd_committer 2020-03-05 12:23:08 UTC
A commit references this bug:

Author: danfe
Date: Thu Mar  5 12:22:24 UTC 2020
New revision: 527828
URL: https://svnweb.freebsd.org/changeset/ports/527828

Log:
  Drop dependency on `audio/speexdsp', not needed since 1.2.0:
  https://github.com/jiixyj/libebur128/releases/tag/v1.2.0

  PR:	243427

Changes:
  head/audio/libebur128/Makefile
Comment 5 Alexey Dokuchaev freebsd_committer 2020-03-05 12:31:06 UTC
Committed with modifications as ports r527828, thanks!  Please note that successful p*re logs should not be attached to the PRs, just asserting that the build is fine is enough.